/**
 * Created by CSL on 2017-03-22.
 */

let express = require('express');
let rgController = require('../controllers/ration_glj_controller');

module.exports = function (app) {

    var rgRouter = express.Router();
    rgRouter.get('/getGLJData/:engineerID/:gljLibId/:isInitial', rgController.getGLJData);
    rgRouter.post('/getGLJDataPaging', rgController.getGLJDataPaging);
    rgRouter.post('/getGLJDataByCodes',rgController.getGLJDataByCodes);
    rgRouter.post('/addGLJ',rgController.addGLJ);
    rgRouter.post('/replaceGLJ',rgController.replaceGLJ);
    rgRouter.post('/mReplaceGLJ',rgController.mReplaceGLJ);
    rgRouter.post('/updateRationGLJByEdit',rgController.updateRationGLJByEdit);
    rgRouter.post('/getGLJClass/:engineerID', rgController.getGLJClass);
    app.use('/rationGlj',rgRouter);
}




